Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Deployment::new_RepositoryManager Interface Reference

`import "Deployment.idl";`

List of all members.

## Public Member Functions
void | installPackage (in string installationName, in Package the_package, in boolean replace) raises (NameExists, PackageError)
DeploymentPlan | retrievePlan (in string packageName) raises (NoPlan)
Package | findPackageByName (in string name) raises (NoSuchName)
Implementation | findImplementationByName (in string implementation_name, in string package_name) raises (NoSuchName)
Package | findPackageByUUID (in string UUID) raises (NoSuchName)
Implementation | findImplementationByUUID (in string UUID) raises (NoSuchName)
::CORBA::StringSeq | getAllPackageNames ()
void | deletePackage (in string installationName) raises (NoSuchName)

## Member Function Documentation

void Deployment::new_RepositoryManager::deletePackage | ( | in string | installationName | ) | raises (NoSuchName)

Implementation Deployment::new_RepositoryManager::findImplementationByName | ( | in string | implementation_name,
|  | in string | package_name
| ) | raises (NoSuchName)

Implementation Deployment::new_RepositoryManager::findImplementationByUUID | ( | in string | UUID | ) | raises (NoSuchName)

Package Deployment::new_RepositoryManager::findPackageByName | ( | in string | name | ) | raises (NoSuchName)

Package Deployment::new_RepositoryManager::findPackageByUUID | ( | in string | UUID | ) | raises (NoSuchName)

::CORBA::StringSeq Deployment::new_RepositoryManager::getAllPackageNames | ( |  | ) |

void Deployment::new_RepositoryManager::installPackage | ( | in string | installationName,
|  | in Package | the_package,
|  | in boolean | replace
| ) | raises (NameExists, PackageError)

DeploymentPlan Deployment::new_RepositoryManager::retrievePlan | ( | in string | packageName | ) | raises (NoPlan)

The documentation for this interface was generated from the following file:

- Deployment.idl